#include <stdio.h>
#include <stdlib.h>
#include <limits.h>
int main(void){
	int T,i,k;
	int j;
	int N,M,razlika=INT_MAX;
	scanf("%d",&T);
	int res[T];
	for(i=0;i<T;i++){
		scanf("%d%d",&N,&M);
		int A[N],B[M],indeks[N];
		int Bmax;
		for(j=0;j<N;j++){
			scanf("%d",&A[j]);
		}
		for(j=0;j<M;j++){
			scanf("%d",&B[j]);
		}
		
		for (j=0; j<N-1; j++) {
			 for (k=j+1; k<N; k++) {
				 if (abs(A[j] - A[k]) < razlika) 
                	razlika = abs(A[j] - A[k]);
			 }
          
		}
     
            
            
       for (j = 0; j < N; j++)                     
	{
		for (k = 0; k < N; k++)             
		{
			if (A[k] > A[j])               
			{
				int tmp = A[j];         
				A[j] = A[k];            
				A[k] = tmp;             
			}
		}
	}
	
		for(j=1;j<M;j++){
			if(B[j] > Bmax)
        {
            Bmax = B[j];
        }
		}
	
		indeks[0]=A[0];
		for(j=1;j<Bmax/razlika;j++){
			indeks[j]=indeks[j-1]+razlika;
		}
		
		for(j=0;j<Bmax/razlika;j++){
			for(k=0;k<M;k++){
				if(indeks[j]!=B[k]){
					res[i]=1;
				}
				else{
					res[i]=0;
				}
			}
		} 
		
		
		
		
		
	}
		
	for(j=0;j<T;j++){
			printf("\n%d\n",res[j]);
		}
	
	return 0;
	
}